JavaStubGenerator (groovy 3.0.7 API)

Package: org.codehaus.groovy.tools.javac

## [Java] Class JavaStubGenerator

- org.codehaus.groovy.tools.javac.JavaStubGenerator

-     public class JavaStubGenerator
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and description
    `JavaStubGenerator (File outputPath, boolean requireSuperResolved, boolean java5, String encoding)`
    `JavaStubGenerator (File outputPath)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `protected void` | `addConstructor(Parameter[] newParams, ConstructorNode ctor, Statement code, ClassNode node)`
    `` | `public void` | `addCovariantMethods(ClassNode cn)`
    `` | `protected void` | `addDefaultConstructor(ClassNode node)`
    `` | `protected void` | `addDefaultParameters(Verifier.DefaultArgsAction action, MethodNode method)`
    `` | `protected void` | `addInitialization(ClassNode node)`
    `` | `protected MethodNode` | `addMethod(ClassNode node, boolean shouldBeSynthetic, String name, int modifiers, ClassNode returnType, Parameter[] parameters, ClassNode[] exceptions, Statement code)`
    `` | `protected void` | `addPropertyMethod(MethodNode method)`
    `` | `protected void` | `addReturnIfNeeded(MethodNode node)`
    `` | `public void` | `clean()`
    `` | `public void` | `generateClass(ClassNode classNode)`
    `` | `protected VariableNotFinalCallback` | `getFinalVariablesCallback()`
    `` | `public Set<JavaFileObject>` | `getJavaStubCompilationUnitSet()`
    `` | `public void` | `visitClass(ClassNode node)`
    `` | `public void` | `visitConstructor(ConstructorNode node)`
    `` | `public void` | `visitProperty(PropertyNode node)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Constructor Detail

    - #### public JavaStubGenerator(File outputPath, boolean requireSuperResolved, boolean java5, String encoding)

    - #### public JavaStubGenerator(File outputPath)

  - ### Method Detail

    - #### protected void addConstructor(Parameter[] newParams, ConstructorNode ctor, Statement code, ClassNode node)

    - #### public void addCovariantMethods(ClassNode cn)

    - #### @Override protected void addDefaultConstructor(ClassNode node)

    - #### protected void addDefaultParameters(Verifier.DefaultArgsAction action, MethodNode method)

    - #### protected void addInitialization(ClassNode node)

    - #### protected MethodNode addMethod(ClassNode node, boolean shouldBeSynthetic, String name, int modifiers, ClassNode returnType, Parameter[] parameters, ClassNode[] exceptions, Statement code)

    - #### protected void addPropertyMethod(MethodNode method)

    - #### protected void addReturnIfNeeded(MethodNode node)

    - #### public void clean()

    - #### public void generateClass(ClassNode classNode)

    - #### @Override protected VariableNotFinalCallback getFinalVariablesCallback()

    - #### public Set<JavaFileObject> getJavaStubCompilationUnitSet()

    - #### @Override public void visitClass(ClassNode node)

    - #### @Override public void visitConstructor(ConstructorNode node)

    - #### @Override public void visitProperty(PropertyNode node)